
Smart Proxy - Support #17707

after Foreman-Installer: puppet TCPServer Error: Address already in use - bind(2)

12/16/2016 04:58 AM - Andoreasu Pek

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Core   

Target version:    

Triaged:  Found in Releases: 1.13.2

Fixed in Releases:    

Description

Good Morning together,

i installed a new Puppet Master Server (Puppet 4.8.1) with Foreman (1.13) over the foreman-installer.

I followed all Instructions on the Foreman Manual (1.13), where the foreman-installer installs puppet also.

https://www.theforeman.org/manuals/1.13/index.html#2.1Installation

It seems everything works from the functional view.

but i get a warn message in the foreman smart-proxy log:

puppet TCPServer Error: Address already in use - bind(2)

 this happens on every server start. does anyone know what this Error message cause and how i can fix this?

I think this shouldnt be happen when i install puppet over the foreman-installer (?)

Best Regards

Related issues:

Related to Smart Proxy - Bug #17862: Silence Sinatra/rack startup warning "TC... Rejected 12/27/2016

History

#1 - 12/16/2016 05:01 AM - Andoreasu Pek

I forgot to say, the Server is running a CentOS7.

#2 - 12/19/2016 03:21 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category set to Core

Can you provide the whole log file please (is this proxy.log)? Is it working correctly?

#3 - 12/26/2016 06:16 PM - Sven Vogel

- File proxy.log added

i saw the same problem. CentOS 7.2 - 7.3

i will upload my proxy.log.

#4 - 12/26/2016 06:24 PM - Sven Vogel

I, [2016-12-27T00:10:20.762341 #2446]  INFO -- : 192.168.85.32 - - [27/Dec/2016:00:10:20 +0100] "GET /puppet/ca HTTP/1.1" 200 922 3.6843

I, [2016-12-27T00:22:46.813309 #2446]  INFO -- : going to shutdown ...

I, [2016-12-27T00:22:46.813606 #2446]  INFO -- : WEBrick::HTTPServer#start done.

D, [2016-12-27T00:22:47.337692 #4422] DEBUG -- : 'pulp' settings: 'enabled': https, 'mongodb_dir': /var/lib/mongodb (default), 'pulp_content_dir':

/var/lib/pulp/content (default

), 'pulp_dir': /var/lib/pulp (default), 'pulp_url': https://katello01.oscloud.local/pulp, 'puppet_content_dir': /etc/puppetlabs/code/environments
D, [2016-12-27T00:22:47.341780 #4422] DEBUG -- : 'dynflow' settings: 'core_url': https://katello01.oscloud.local:8008, 'database':

/var/lib/foreman-proxy/dynflow/dynflow.sqlite,

'enabled': https

D, [2016-12-27T00:22:47.344975 #4422] DEBUG -- : 'ssh' settings: 'enabled': https, 'local_working_dir': /var/tmp (default), 'remote_working_dir':

/var/tmp (default), 'ssh_identi

ty_key_file': /usr/share/foreman-proxy/.ssh/id_rsa_foreman_proxy, 'ssh_user': root (default)

D, [2016-12-27T00:22:47.357828 #4422] DEBUG -- : 'dns' settings: 'dns_ttl': 86400 (default), 'enabled': https, 'use_provider': dns_nsupdate (default)

D, [2016-12-27T00:22:47.361513 #4422] DEBUG -- : 'tftp' settings: 'enabled': https, 'tftp_servername': 192.168.85.32, 'tftproot': /var/lib/tftpboot

(default)

D, [2016-12-27T00:22:47.367224 #4422] DEBUG -- : 'dhcp' settings: 'enabled': https, 'server': 127.0.0.1 (default), 'subnets': [] (default), 'use_provider':

dhcp_isc (default)

D, [2016-12-27T00:22:47.370387 #4422] DEBUG -- : 'puppetca' settings: 'enabled': https, 'puppetdir': /etc/puppetlabs/puppet, 'ssldir':

/etc/puppetlabs/puppet/ssl

D, [2016-12-27T00:22:47.375559 #4422] DEBUG -- : 'puppet' settings: 'enabled': https, 'puppet_version': 4.8.1, 'use_provider':

[:puppet_proxy_puppet_api]

D, [2016-12-27T00:22:47.378960 #4422] DEBUG -- : 'logs' settings: 'enabled': https

D, [2016-12-27T00:22:47.379561 #4422] DEBUG -- : Providers ['dns_nsupdate'] are going to be configured for 'dns'

D, [2016-12-27T00:22:47.379684 #4422] DEBUG -- : Providers ['dhcp_isc'] are going to be configured for 'dhcp'

D, [2016-12-27T00:22:47.379791 #4422] DEBUG -- : Providers ['puppet_proxy_puppet_api'] are going to be configured for 'puppet'

D, [2016-12-27T00:22:47.383617 #4422] DEBUG -- : 'dns_nsupdate' settings: 'dns_key': /etc/rndc.key, 'dns_server': 127.0.0.1, 'dns_ttl': 86400,

'use_provider': dns_nsupdate

D, [2016-12-27T00:22:47.420285 #4422] DEBUG -- : 'dhcp_isc' settings: 'config': /etc/dhcp/dhcpd.conf (default), 'leases': /var/lib/dhcpd/dhcpd.leases

(default), 'leases_file_obs

erver': inotify_leases_file_observer, 'omapi_port': 7911, 'server': 127.0.0.1, 'subnets': [], 'use_provider': dhcp_isc

D, [2016-12-27T00:22:47.428328 #4422] DEBUG -- : 'puppet_proxy_puppet_api' settings: 'classes_retriever': apiv3, 'environments_retriever': apiv3,

'puppet_ssl_ca': /etc/puppetlab

s/puppet/ssl/certs/ca.pem, 'puppet_ssl_cert': /etc/puppetlabs/puppet/ssl/certs/katello01.oscloud.local.pem, 'puppet_ssl_key':

/etc/puppetlabs/puppet/ssl/private_keys/katello01.o

scloud.local.pem, 'puppet_url': https://katello01.oscloud.local:8140, 'puppet_version': 4.8.1, 'use_provider': [:puppet_proxy_puppet_api]

I, [2016-12-27T00:22:47.429593 #4422]  INFO -- : Successfully initialized 'pulp'

I, [2016-12-27T00:22:47.431375 #4422]  INFO -- : Successfully initialized 'dynflow'

I, [2016-12-27T00:22:47.433892 #4422]  INFO -- : Successfully initialized 'ssh'

I, [2016-12-27T00:22:47.434028 #4422]  INFO -- : Successfully initialized 'foreman_proxy'

I, [2016-12-27T00:22:47.434178 #4422]  INFO -- : Successfully initialized 'dns_nsupdate'

I, [2016-12-27T00:22:47.434272 #4422]  INFO -- : Successfully initialized 'dns'

I, [2016-12-27T00:22:47.434355 #4422]  INFO -- : Successfully initialized 'tftp'

D, [2016-12-27T00:22:47.456939 #4422] DEBUG -- : Added a subnet: 192.168.85.0

D, [2016-12-27T00:22:47.458642 #4422] DEBUG -- : Added a reservation: 192.168.85.14:00:19:99:bc:04:e6:kvm02.oscloud.local

D, [2016-12-27T00:22:47.458751 #4422] DEBUG -- : Added a reservation: 192.168.85.13:00:19:99:cb:c2:e2:kvm01.oscloud.local

D, [2016-12-27T00:22:47.458836 #4422] DEBUG -- : Added a reservation: 192.168.85.15:00:19:99:c5:0b:83:kvm03.oscloud.local

I, [2016-12-27T00:22:47.459025 #4422]  INFO -- : Successfully initialized 'dhcp_isc'

I, [2016-12-27T00:22:47.459152 #4422]  INFO -- : Successfully initialized 'dhcp'

I, [2016-12-27T00:22:47.459256 #4422]  INFO -- : Successfully initialized 'puppetca'

I, [2016-12-27T00:22:47.459377 #4422]  INFO -- : Successfully initialized 'puppet_proxy_puppet_api'

I, [2016-12-27T00:22:47.459886 #4422]  INFO -- : Successfully initialized 'puppet'

D, [2016-12-27T00:22:47.459991 #4422] DEBUG -- : Log buffer API initialized, available capacity: 2000/1000

I, [2016-12-27T00:22:47.460063 #4422]  INFO -- : Successfully initialized 'logs'

I, [2016-12-27T00:22:47.495871 #4422]  INFO -- : WEBrick 1.3.1

I, [2016-12-27T00:22:47.496174 #4422]  INFO -- : ruby 2.0.0 (2015-12-16) [x86_64-linux]

D, [2016-12-27T00:22:47.496624 #4422] DEBUG -- : TCPServer.new(0.0.0.0, 9090)

D, [2016-12-27T00:22:47.496790 #4422] DEBUG -- : TCPServer.new(::, 9090)

W, [2016-12-27T00:22:47.496946 #4422]  WARN -- : TCPServer Error: Address already in use - bind(2)

I, [2016-12-27T00:22:47.498212 #4422]  INFO -- :

#5 - 12/27/2016 02:34 PM - Anonymous

- Tracker changed from Bug to Support

This is sinatra/rack issuing a warning on startup, please ignore it. Should a real conflict over a tcp port occur, smart-proxy won't be able to bind to it

and will fail to start.

#6 - 01/03/2017 03:19 AM - Dominic Cleal

- Related to Bug #17862: Silence Sinatra/rack startup warning "TCPServer Error: Address already in use - bind(2)" added

#7 - 03/29/2017 10:00 AM - Anonymous

- Status changed from New to Resolved

I'm marking this as "resolved", the message should not appear anymore in recent builds. Please re-open if you have further questions.

Files

proxy.log 37.6 KB 12/26/2016 Sven Vogel
